Subject: Newbie grief

From: Rich Pixley <[email-masked]>
Date: Mon, 30 Apr 2012 15:30:36 -0700

Hey.  I'm a newbie struggling to understand git.

I'm trying to do what seems like a simple thing in darcs, monotone, 
mecurial, gnu arch, etc, but seems nearly impossible in git.  There's a 
central repository, a long ways away on the other side of the internet.  
So I want a local repository cache.  I'm going to be working on a number 
of different features and different machines all simultaneously so I 
really don't want them all to be pulling from the central repository.

In other systems, this is a simple star network.  Clone a repository, 
use, push, pull, etc.  But with git, I can't push unless the cache 
repository is bare, but if the cache repository is bare, then a change 
to the central repository will cause the two to become wedged since 
neither can push or fetch the other.  It seems that git is allergic to 
the dual head branch solution or something, which is surprising and 
disappointing.

How do other people address these situations in git?

--rich